Index: tareas_puppet/servidores_aula/update-nec-bios/files/default
===================================================================
--- tareas_puppet/servidores_aula/update-nec-bios/files/default	(nonexistent)
+++ tareas_puppet/servidores_aula/update-nec-bios/files/default	(revision 199)
@@ -0,0 +1,15 @@
+DEFAULT ltsp
+
+# Para usar ltsp
+LABEL ltsp
+	kernel vmlinuz 
+	append ro initrd=initrd.img quiet
+
+# Para flashear la BIOS del terminal
+LABEL flashbios
+	kernel memdisk
+	append initrd=Floppy/fbiosnec.img
+
+# PLOP Boot Manager
+	LABEL plp
+	linux plpbt.bin
Index: tareas_puppet/servidores_aula/update-nec-bios/files/plpbt.bin
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/update-nec-bios/files/plpbt.bin
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/update-nec-bios/files/memdisk
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/update-nec-bios/files/memdisk
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/update-nec-bios/files/fbiosnec.img
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/update-nec-bios/files/fbiosnec.img
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/update-nec-bios/leeme.txt
===================================================================
--- tareas_puppet/servidores_aula/update-nec-bios/leeme.txt	(nonexistent)
+++ tareas_puppet/servidores_aula/update-nec-bios/leeme.txt	(revision 199)
@@ -0,0 +1,170 @@
+BREVE DESCRIPCION DE LA EJECUCION DEL MODULO
+--------------------------------------------
+
+Destino: Servidores de aula.
+
+* Nuestros terminales ligeros son NEC PowerMate VL4 sin disquetera ni CD-ROM. El problema que tenemos actualmente es que, tras
+unos años en funcionamiento, se están agotando las pilas. Como consecuencia, se borran los ajustes de la CMOS y los equipos 
+dejan de arrancar porque la opción de arranque por defecto es el Floppy. 
+
+
+SOLUCIÓN:
+---------
+
+* Cambiar los ajustes por defecto de la ROM BIOS para que el primer dispositivo de arranque sea "On Board LAN", es decir, 
+la tarjeta de red integrada. De este modo, aunque la CMOS se resetee, los ajustes seguirán fijados.
+
+
+AJUSTES FIJADOS COMO PREDETERMINADOS EN LA ROM:
+
+* Fijado como primer dispositivo de arranque "On Board LAN" y activado como "Show only" para que no pueda ser modificado por
+  el usuario.
+* Desactivado segundo y tercer dispositivo de arranque para que el usuario no pueda cambiarlo.
+* Desactivado el arranque desde otros dispositivos.
+* Desactivadas opciones de establecer passwords de setup y de usuario. Así los usuarios no van a poder cambiarlos en caso de
+  reseteo de los valores de la CMOS. 
+
+CON ESTOS AJUSTES CONSEGUIMOS:
+
+* Que tan sólo exista como dispositivo de arranque "On Board LAN", necesario para que arranquen los terminales.
+  Con ello, evitamos que los equipos se queden esperando la opción por defecto: Arrancar desde Floppy.
+* Controlar que tan sólo los administradores podamos arrancar los terminales de otro modo, por ejemplo USB.
+* Que los alumnos no nos puedan poder password en la CMOS cuando se borran los ajustes establecidos en la misma.
+
+
+FUNCIÓN:
+--------
+
+* update-nec-bios modifica el fichero /var/lib/tftpboot/ltsp/i386/pxelinux.cfg/default:
+
+		DEFAULT ltsp
+
+		# Para usar ltsp
+		LABEL ltsp
+		        kernel vmlinuz
+		        append ro initrd=initrd.img quiet
+
+		# Para flashear la BIOS del terminal
+		LABEL flashbios
+		        kernel memdisk
+		        append initrd=Floppy/fbiosnec.img
+
+		# PLOP Boot Manager
+		LABEL plp
+		        linux plpbt.bin
+
+* Y añade todo lo necesario para poder flashear la bios de los equipos NEC PowerMate con una rom en la que he modificado
+  las opciones indicadas más arriba.
+* También permite restaurar la BIOS original.
+* Por otra parte, permite arrancar los NEC vía USB.
+
+
+ACCIONES:
+---------
+
+* Copia memdisk al directorio /var/lib/tftpboot/ltsp/i386/ del servidor de terminales,
+  lo que nos va a permitir cargar la imagen de floppy que actualiza la bios.
+
+* Copia plpbt.bin al directorio /var/lib/tftpboot/ltsp/i386/ del servidor de terminales,
+  lo que nos va a permitir arrancar el equipo vía usb en un determinado momento.
+
+* Copia el fichero default con el que arrancan los terminales con el contenido mostrado
+  anteriormente al directorio /var/lib/tftpboot/ltsp/i386/pxelinux.cfg/
+
+* Crea un directorio /var/lib/tftpboot/ltsp/i386/Floppy, donde almacenaremos la imagen
+  del floppy de actualización de la BIOS, para tenerlo organizado, por si en algún
+  momento tenemos que añadir más disquetes de arranque.
+
+* Copia la imagen del floppy de actualización de la BIOS (fbiosnec.img) al directorio 
+  /var/lib/tftpboot/ltsp/i386/Floppy
+
+
+MODO DE USO:
+------------
+
+* Tal y como dejamos el fichero /var/lib/tftpboot/ltsp/i386/pxelinux.cfg/default
+  tenemos tres posibilidades:
+	- Arrancar los terminales del aula en modo terminal. Es la opción por defecto: ltsp
+	- Arrancar los terminales para flashearles la BIOS. Opción: flashbios
+	- Arrancar los terminales mediante Plop Boot Manager. Opción: plp
+
+* Si queremos flashear la ROM BIOS de los terminales de un aula, no tenemos más que
+cambiar en el fichero /var/lib/tftpboot/ltsp/i386/pxelinux.cfg/default la opción:
+
+		DEFAULT ltsp
+
+		por:
+		
+		DEFAULT flashbios
+		
+Y los terminales arrancarán con la imagen del floppy que permite flashear su ROM.
+
+* Una vez terminado el proceso de flasheo, volvemos a cambiar en el fichero 
+  /var/lib/tftpboot/ltsp/i386/pxelinux.cfg/default la opción:
+
+		DEFAULT flashbios
+
+		por:
+		
+		DEFAULT ltsp
+
+Y los terminales volverán a arrancar normalmente.
+
+* Y si queremos arrancar mediante Plop Boot Manager los terminales de un aula, 
+por ejemplo, para iniciarlos vía usb, no tenemos más que cambiar en el fichero 
+/var/lib/tftpboot/ltsp/i386/pxelinux.cfg/default la opción:
+
+		DEFAULT ltsp
+
+		por:
+		
+		DEFAULT plp
+
+* Cuando terminemos la tarea, volvemos a cambiar en el fichero 
+  /var/lib/tftpboot/ltsp/i386/pxelinux.cfg/default la opción:
+
+		DEFAULT plp
+
+		por:
+		
+		DEFAULT ltsp
+
+Y los terminales volverán a arrancar normalmente.
+
+
+MODO DE FLASHEO DE LA ROM BIOS:
+-------------------------------
+
+* En el modo de flasheo, podemos flashear la BIOS con la ROM que he preparado, 
+  o podemos restaurar la BIOS original. El autoexec.bat del disquete pregunta 
+  antes de flashear y nos permite elegir una de las dos opciones o cancelar.
+  
+* Una vez flasheada la ROM BIOS de un terminal, se limpia la CMOS para que se 
+apliquen los valores por defecto de la nueva ROM y se reinicia la máquina.
+
+* Cuando hayamos flasheado todas las BIOS de los terminales de un aula, cambiamos
+  la opción de arranque a:
+
+		DEFAULT ltsp
+		
+* Y pulsamos F1 en cada uno de los terminales para continuar y que arranquen
+  normalmente.
+
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+1) Desempaquetar en /etc/puppet/modules
+
+2) Incluir la linea include "nombre_modulo" en /etc/puppet/manifests/classes/clase-especifica.pp
+
+------------------------------------------------
+
+
+Creado por:
+
+Esteban M. Navas Martín
+Administrador informático del IES Valle del Jerte.
+Fecha creación: 15-Junio-2011
+Fecha última modificación: 7-Septiembre-2011
+
Index: tareas_puppet/servidores_aula/update-nec-bios/manifests/init.pp
===================================================================
--- tareas_puppet/servidores_aula/update-nec-bios/manifests/init.pp	(nonexistent)
+++ tareas_puppet/servidores_aula/update-nec-bios/manifests/init.pp	(revision 199)
@@ -0,0 +1,32 @@
+class update-nec-bios {
+
+   file { 
+      "/var/lib/tftpboot/ltsp/i386/memdisk" :
+      source => "puppet://puppetinstituto/update-nec-bios/memdisk",
+      owner => root, group => root, mode => 644
+   }
+
+   file { 
+      "/var/lib/tftpboot/ltsp/i386/plpbt.bin" :
+      source => "puppet://puppetinstituto/update-nec-bios/plpbt.bin",
+      owner => root, group => root, mode => 644
+   }
+
+   file { 
+      "/var/lib/tftpboot/ltsp/i386/pxelinux.cfg/default" :
+      source => "puppet://puppetinstituto/update-nec-bios/default",
+      owner => root, group => root, mode => 644
+   }
+
+   file {
+      "/var/lib/tftpboot/ltsp/i386/Floppy" :
+      ensure => directory, owner => root,  group => root, mode => 755,
+   }
+
+   file {
+      "/var/lib/tftpboot/ltsp/i386/Floppy/fbiosnec.img" :
+      source => "puppet://puppetinstituto/update-nec-bios/fbiosnec.img",
+      owner => root,  group => root, mode => 644,
+      require => File["/var/lib/tftpboot/ltsp/i386/Floppy"];
+   }
+}
Index: tareas_puppet/servidores_aula/update-nec-bios.tgz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/update-nec-bios.tgz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property