Index: controlies/trunk/applications/controlies/modules/Hosts.py
===================================================================
--- controlies/trunk/applications/controlies/modules/Hosts.py	(revision 209)
+++ controlies/trunk/applications/controlies/modules/Hosts.py	(revision 210)
@@ -417,22 +417,15 @@
         return triplets
             
     def getHostData(self):       
-        result1 = self.ldap.search("cn=DHCP Config","cn="+self.name,["cn","dhcpHWAddress"])
-        result2 = self.ldap.search(" ou=hosts","dc="+self.name,["aRecord"])   
+        result = self.ldap.search("ou=hosts","cn="+self.name,["cn","ipHostNumber","macAddress"])
+
         dataHost = {
             "cn":self.name,
-            "group":self.group,
-            "mac":"",
-            "ip":""
+            "mac":result[0][0][1]["macAddress"][0],
+            "ip":result[0][0][1]["ipHostNumber"][0]
         }
-        if len(result1)==1:
-            dataHost["mac"]=result1[0][0][1]["dhcpHWAddress"][0].replace("ethernet ","")
-        if len(result2)==1:
-            dataHost["ip"]=result2[0][0][1]["aRecord"][0]
-         
         return dataHost     
         
-        
     def getLTSPServers (self):
         triplets = self.ldap.search("ou=Netgroup","cn=ltsp-server-hosts",["nisNetgroupTriple"])
         triplets = triplets [0][0][1]["nisNetgroupTriple"]
Index: controlies/trunk/applications/controlies/views/layout_form_hosts.html
===================================================================
--- controlies/trunk/applications/controlies/views/layout_form_hosts.html	(revision 209)
+++ controlies/trunk/applications/controlies/views/layout_form_hosts.html	(revision 210)
@@ -78,8 +78,8 @@
 {{block form_table}}    
    <input type="hidden" id="type_host" name="type_host" value="ltsp"/>
     <p><span id="nameTag">Nombre del equipo:</span><br><input type="text" id="name" name="name" maxlength="20" onChange="searchUsername();"/></p>
-    <p><span id="ipTag">Ip</span><br><input type="text" id="ip" name="ip"/></p> 
-    <p><span id="macTag">MAC</span><br><input type="text" id="mac" name="mac"/></p>
+    <p><span id="ipTag">Ip</span><br><input type="text" id="ip" name="ip" maxlength="15"/></p> 
+    <p><span id="macTag">MAC</span><br><input type="text" id="mac" name="mac" maxlength="17"/></p>
 
 {{end}}
 
Index: controlies/trunk/applications/controlies/views/layout_hosts.html
===================================================================
--- controlies/trunk/applications/controlies/views/layout_hosts.html	(revision 209)
+++ controlies/trunk/applications/controlies/views/layout_hosts.html	(revision 210)
@@ -154,19 +154,14 @@
                     return false;
 
                 jQuery("#dialog-form").html("").css("display","none");
-{{block edit_form}}         
-                jQuery("#dialog-form").load("form_ltspserver.html", function() {});             
+{{block edit_form}}                   
                 jQuery("#dialog-form").load("form_ltspserver.html", function() {
-                   alert("Hola");
-
 {{end}}                     
                     jQuery("#form_data #action").val("modify");
                     jQuery("#form_data #name").attr("readonly","true");
                     jQuery("#form_data #name").css("background-color","#DDD");
-                    jQuery("#form_data #group").attr("readonly","true");
-                    jQuery("#form_data #group").css("background-color","#DDD");
 {{block edit2_form}}                       
-                    /*jQuery.post('call/json/getHostData',{ cn: hid,group:group,type_host:'ltsp' }, function(result) {
+                    jQuery.post('call/json/getHostData',{ cn:hid,type_host:'ltsp' }, function(result) {
                         jQuery("#form_data #name").val(result.response['cn']);
                         jQuery("#form_data #ip").val(result.response['ip']);                        
                         jQuery("#form_data #mac").val(result.response['mac']);                           
@@ -184,7 +179,7 @@
                             title: "Modificar Servidor de aula"
 {{end}}
                         }).dialog('option', 'position', [x, y]);                        
-                    });    */           
+                    });            
                 });
             }
 