Index: controlies/trunk/applications/controlies/views/usuarios/form.html
===================================================================
--- controlies/trunk/applications/controlies/views/usuarios/form.html	(revision 233)
+++ controlies/trunk/applications/controlies/views/usuarios/form.html	(revision 234)
@@ -91,7 +91,7 @@
             <p><span id="userTag">Usuario</span><br><input type="text" id="user" name="user"/></p>
             <p><span id="passwordTag">Contraseña</span><br><input type="text" id="password" name="password"/></p>
             <p><span id="password2Tag">Repita Contraseña</span><br><input type="text" id="password2" name="password2"/></p>
-            <p id="homeDirectoryP" style="display:none;"><span id="homeDirectoryTag">Crear directorio personal</span>&nbsp;&nbsp;<input type="checkbox" id="homeDirectory" name="homeDirectory"/></p>            
+            <p id="homeDirectoryP" style="display:none;"><span id="homeDirectoryTag">Crear directorio personal (versión Beta)</span>&nbsp;&nbsp;<input type="checkbox" id="homeDirectory" name="homeDirectory"/></p>            
         </div>
     </div>
     <div id="message" style="text-align:center; font-weight:bold; color:red; padding:3px; "></div>
Index: controlies/trunk/applications/controlies/views/usuarios/index.html
===================================================================
--- controlies/trunk/applications/controlies/views/usuarios/index.html	(revision 233)
+++ controlies/trunk/applications/controlies/views/usuarios/index.html	(revision 234)
@@ -248,28 +248,29 @@
             });             
     }
 
-	function createHomeDirectory(username,type){
-        if(jQuery("#form_data #action").val()=="add"){
-			if(jQuery("#form_data #homeDirectory").is(':checked')){
-				
-				jQuery("#dialog-form").load("form_home_directory.html", function() {
-					jQuery("#form_data #username").val(username);
-					jQuery("#form_data #type").val(type);					
-					x = (jQuery(window).width()-300)/2;
-					y = (jQuery(window).height()-500)/2;			
-			
-					jQuery("#dialog-form").dialog({
-						resizable: false,
-						position: top,
-						modal: true,
-						width: 300,
-						title: "Crear Directorio Personal"
-					}).dialog('option', 'position', [x, y]);
-				});
-			}
+	function createHomeDirectory(username,type){				
+		jQuery("#dialog-form").load("form_home_directory.html", function() {
+			jQuery("#form_data #username").val(username+" ("+typeUser(type)+")");
+			jQuery("#form_data #type").val(type);					
+			x = (jQuery(window).width()-350)/2;
+			y = (jQuery(window).height()-500)/2;			
+	
+			jQuery("#dialog-form").dialog({
+				resizable: false,
+				position: top,
+				modal: true,
+				width: 350,
+				title: "Crear Directorio Personal"
+			}).dialog('option', 'position', [x, y]);
+		});
+	}
+
+	function typeUser(type){
+		switch(type){
+			case 'student': return "Alumno";
+			case 'teacher': return "Profesor";
 		}
 	}
-
 </script>
 
 
Index: controlies/trunk/applications/controlies/views/usuarios/form_home_directory.html
===================================================================
--- controlies/trunk/applications/controlies/views/usuarios/form_home_directory.html	(revision 233)
+++ controlies/trunk/applications/controlies/views/usuarios/form_home_directory.html	(revision 234)
@@ -1,16 +1,16 @@
 <script language="javascript">
 
-    $(function() {
-        $("#password").focus();
-        $("#saveButton").button({ icons: { primary: "ui-icon-disk"}});
-        $("#cancelButton")
+    jQuery(function() {
+        jQuery("#password").focus();
+        jQuery("#saveButton").button({ icons: { primary: "ui-icon-disk"}});
+        jQuery("#cancelButton")
             .button({ icons: { primary: "ui-icon-close"}})
-            .click( function(){ $('#dialog-form').dialog('close'); });
+            .click( function(){ jQuery('#dialog-form').dialog('close'); });
     });
 
     function restartStyle(){
-        $("#form_data p span").css("color","black");
-        $('#message').html("");
+        jQuery("#form_data p span").css("color","black");
+        jQuery('#message').html("");
     }
 
     function send(){
@@ -60,11 +60,13 @@
 </script>
  
 <form id="form_data" onsubmit="return send();">
-    <input type="hidden" id="action" name="action"/>
-    <input type="hidden" id="username" name="username"/>    
+    <input type="hidden" id="action" name="action"/>   
     <input type="hidden" id="type" name="type"/>     
     <div>
+    	<h3 style="text-align:center;">Versión Beta</h3>
+		<p style="text-align:center;">Para crear el directorio personal en el Servidor NFS necesitaré las credenciales<p>
         <div>
+            <p><span id="usernameTag">Directorio personal de</span><br><input type="text" id="username" name="username" style="background-color:#DDD;" readonly="true"/></p>   
             <p><span id="hostTag">Servidor NFS</span><br><input type="text" id="host" name="host" value="servidor"/></p>                    
             <p><span id="userTag">Usuario</span><br><input type="text" id="user" name="user" value="root"/></p>
             <p><span id="passwordTag">Contraseña</span><br><input type="text" id="password" name="password"/></p>