Index: tareas_puppet/workstations/instala-firefox7/firefox.cfg
===================================================================
--- tareas_puppet/workstations/instala-firefox7/firefox.cfg	(nonexistent)
+++ tareas_puppet/workstations/instala-firefox7/firefox.cfg	(revision 268)
@@ -0,0 +1,3 @@
+// Lock specific preferences in Firefox so that users cannot edit them
+lockPref("app.update.enabled", false);
+lockPref("browser.startup.homepage", "http://www.google.es");
Index: tareas_puppet/workstations/instala-firefox7/instala-firefox7.pp
===================================================================
--- tareas_puppet/workstations/instala-firefox7/instala-firefox7.pp	(nonexistent)
+++ tareas_puppet/workstations/instala-firefox7/instala-firefox7.pp	(revision 268)
@@ -0,0 +1,25 @@
+class instala-firefox7 {
+
+   file {"/root/instala-firefox7.sh":
+	owner=>root, group=>root, mode=>755,
+	source=>"puppet://puppetworkstation/files/instala-firefox7.sh",
+	notify=> Exec["instala-firefox7"],
+	}
+
+   exec {"instala-firefox7":
+	command => "/root/instala-firefox7.sh",
+	require => File["/root/instala-firefox7.sh"],
+        refreshonly => true,
+        before => File["/opt/firefox/defaults/pref/local-settings.js","/opt/firefox/firefox.cfg"]       }
+
+   file {"/opt/firefox/defaults/pref/local-settings.js":
+        owner=>root, group=>root, mode=>755,
+        source=>"puppet://puppetworkstation/files/local-settings.js",
+   }
+
+   file {"/opt/firefox/firefox.cfg":
+        owner=>root, group=>root, mode=>755,
+        source=>"puppet://puppetworkstation/files/firefox.cfg",
+   }
+
+}
Index: tareas_puppet/workstations/instala-firefox7/local-settings.js
===================================================================
--- tareas_puppet/workstations/instala-firefox7/local-settings.js	(nonexistent)
+++ tareas_puppet/workstations/instala-firefox7/local-settings.js	(revision 268)
@@ -0,0 +1,3 @@
+pref("general.config.obscure_value", 0);
+pref("general.config.filename", "firefox.cfg");
+
Index: tareas_puppet/workstations/instala-firefox7/leeme.txt
===================================================================
--- tareas_puppet/workstations/instala-firefox7/leeme.txt	(nonexistent)
+++ tareas_puppet/workstations/instala-firefox7/leeme.txt	(revision 268)
@@ -0,0 +1,49 @@
+
+Tarea: Instalacion de firefox 7 32 bits en los workstations.
+
+       Totalmente basada en la versión que hicieron Noemí y Paco, del IES Garcia Telléz, para 
+       instalar en los clientes LTSP.
+
+Ficheros:
+   instala_firefox7.pp: la tarea puppet. Ira en /etc/puppet/manifests/classes del servidor
+                        puppet de workstations
+               IMPORTANTE: asume que el servidor puppet de los workstations se llama 
+                             "puppetworkstation". Si no se llama asi, hay que cambiarlo en
+                              función de como se llame en tu IEs.
+
+   instala_firefox7.sh: el script de instalación. Irá en /etc/puppet/files del servidor puppet
+                        de workstations. Puede usarse como script independiente para instalar a
+                        mano el firefox7 en un workstation suelto, aunque no tengamos puppet.
+
+   local-settings.js, firefox.cfg: ficheros de configuración obligatoria de firefox. Deben ir en
+                       /etc/puppet/files del servidor puppet de worktstations. Es la configuración
+                       que queremos que tenga el firefox entre quien entre. En este caso he puesto
+                       dos parámetros:
+                                        Pagina de inicio-> www.google.es
+                                        Actualizaciones firefox -> desactivadas (para evitar que se
+                                              te actualice automaticamente).
+
+                       Cada cual puede poner aqui la configuración que quiera.
+
+   firefox-7.0.1.tar.bz2.32work: el fichero comprimido con el ejecutable completo. Debe ir en el 
+                      directorio  /var/www/ficheros de servidor NFS de nuestro centro. No se copia
+                      via puppet, se hace por wget.
+
+                      Este fichero no va con la tarea puppet, es demasiado pesado, se puede descargar
+                      desde:
+
+                               http://172.19.231.2/ficheros/firefox-7.0.1.tar.bz2.32work
+                     
+                      y dejarlo en el servidor NFS de cada cual.
+
+Instalación: 
+
+      Poner cada fichero en su sitio. Modificar el site.pp del servidor puppet de workstation para
+      hacer el include de la tarea y lanzar.
+
+      Como siempre es aconsejable probar primero en un único nodo y, si funciona correctamente, lanzarlo
+      para todos.
+
+Alfonso Pastor.
+IES Virgen de Guadalupe.
+23/11/2011
Index: tareas_puppet/workstations/instala-firefox7/instala-firefox7.sh
===================================================================
--- tareas_puppet/workstations/instala-firefox7/instala-firefox7.sh	(nonexistent)
+++ tareas_puppet/workstations/instala-firefox7/instala-firefox7.sh	(revision 268)
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Noemí Bravo
+# Se pueden utilizan comodines para generalizar el script.
+# -----------------------------------------------------------
+
+if [ ! -e /root/descargas ];  then mkdir -p /root/descargas;  fi
+
+cd /root/descargas
+
+wget -q http://servidor/ficheros/firefox-7.0.1.tar.bz2.32work
+
+#Instala el paquete
+mv firefox-7.0.1.tar.bz2.32work /opt/firefox-7.0.1.tar.bz2
+cd /opt
+tar jxvf firefox-7.0.1.tar.bz2
+rm firefox-7.0.1.tar.bz2
+
+cd -
+
+#modificamos el enlace a firefox
+
+ln -fs /opt/firefox/firefox /usr/bin/iceweasel
+
Index: tareas_puppet/workstations/instala-firefox7.zip
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/workstations/instala-firefox7.zip
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property